:host ::ng-deep {
    .mat-form-field-infix {
        width: 2rem;
    }
    .mat-form-field-appearance-outline .mat-form-field-wrapper {
        margin: 0;
    }
    .mat-form-field-appearance-outline .mat-form-field-outline {
        display: none;
    }
    .mat-form-field-label-wrapper {
        display: none;
    }
    .mat-form-field-appearance-outline .mat-form-field-infix {
        padding: 0;
    }
    /* Chrome, Safari, Edge, Opera */
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    /* Firefox */
    input[type='number'] {
        -moz-appearance: textfield;
    }
    .mat-icon-button {
        padding: 0;
        min-width: 0;
        width: 30px;
        height: 30px;
        flex-shrink: 0;
        line-height: 20px;
        border-radius: 50%;
    }
}
.input-number{
    position: absolute;
    top: -10px;
    text-align: center;
}